aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGreg Kroah-Hartman <gregkh@linuxfoundation.org>2024-04-04 08:39:48 +0200
committerGreg Kroah-Hartman <gregkh@linuxfoundation.org>2024-04-04 08:39:48 +0200
commitefac82b434315a74e3c503de9574970421e67d29 (patch)
tree4dfbe0591c09502995aea5b2d73877df7d783c1c
parent8aa1b490359f734edd4ea017371fd0a8157d914f (diff)
downloadvulns-efac82b434315a74e3c503de9574970421e67d29.tar.gz
bippy: abort if there is nothing to show in the mbox mail for vulnerable:fixed pairs
Starting to show up more, we introduce a problem, and then fix it, in the same kernel release. Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
-rwxr-xr-xscripts/bippy7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/bippy b/scripts/bippy
index d3b290d2..c17a82b1 100755
--- a/scripts/bippy
+++ b/scripts/bippy
@@ -795,6 +795,13 @@ for entry in "${dyad_entries[@]}"; do
url_array+=("https://git.kernel.org/stable/c/${long_id}")
done
+# For now, if we do not have ANYTHING to report in the mbox message (i.e. all
+# fixes were done in the same kernel branch as the issue was vulnerable in)
+# then just bail out because we can't create the json file very easily at all.
+if [[ "${#vuln_array_mbox[@]}" == "0" ]]; then
+ echo "Despite having some vulnerable:fixed kernels, none were in an actual release, so aborting and not assigning a CVE to ${GIT_SHA_SHORT}"
+ exit 1
+fi
for entry in "${fixed_pairs[@]}"; do
x=(${entry//:/ })